Bug 277077 - desktop settings
Summary: desktop settings
Status: RESOLVED DUPLICATE of bug 259258
Alias: None
Product: plasma4
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-04 16:23 UTC by snapplellama
Modified: 2011-08-13 01:48 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description snapplellama 2011-07-04 16:23:18 UTC
Application: plasma-desktop (0.4)
KDE Platform Version: 4.6.2 (4.6.2)
Qt Version: 4.7.2
Operating System: Linux 2.6.38-8-generic i686
Distribution: Ubuntu 11.04

-- Information about the crash:
- What I was doing when the application crashed:
I was changing desktop settings (right-click on KDE Plasma desktop), wanted to change background--switched to Wallpaper--Globe, and the application crashed

-- Backtrace:
Application: Plasma Desktop Shell (plasma-desktop), signal: Segmentation fault
[Current thread is 1 (Thread 0xb78b6ad0 (LWP 1793))]

Thread 4 (Thread 0xaee0eb70 (LWP 1831)):
#0  postEventSourceCheck (source=0xafd35bd8) at kernel/qeventdispatcher_glib.cpp:269
#1  0x025c571d in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0x025c603a in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x025c6524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x01522577 in QEventDispatcherGlib::processEvents (this=0xafd00a20, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0x014f4289 in QEventLoop::processEvents (this=0xaee0e280, flags=...) at kernel/qeventloop.cpp:149
#6  0x014f4522 in QEventLoop::exec (this=0xaee0e280, flags=...) at kernel/qeventloop.cpp:201
#7  0x013fe2a0 in QThread::exec (this=0x9785488) at thread/qthread.cpp:492
#8  0x014d5fdb in QInotifyFileSystemWatcherEngine::run (this=0x9785488) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x01400da2 in QThreadPrivate::start (arg=0x9785488) at thread/qthread_unix.cpp:320
#10 0x061d2e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#11 0x001e073e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 3 (Thread 0xadbb3b70 (LWP 1926)):
#0  0x001ee5f1 in pthread_mutex_lock () from /lib/i386-linux-gnu/libc.so.6
#1  0x025c5752 in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0x025c603a in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x025c6524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x01522577 in QEventDispatcherGlib::processEvents (this=0x9935a70, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0x014f4289 in QEventLoop::processEvents (this=0xadbb3280, flags=...) at kernel/qeventloop.cpp:149
#6  0x014f4522 in QEventLoop::exec (this=0xadbb3280, flags=...) at kernel/qeventloop.cpp:201
#7  0x013fe2a0 in QThread::exec (this=0x9895060) at thread/qthread.cpp:492
#8  0x014d5fdb in QInotifyFileSystemWatcherEngine::run (this=0x9895060) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x01400da2 in QThreadPrivate::start (arg=0x9895060) at thread/qthread_unix.cpp:320
#10 0x061d2e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#11 0x001e073e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 2 (Thread 0xaca72b70 (LWP 6440)):
#0  0x00aa6416 in __kernel_vsyscall ()
#1  0x001d1f76 in poll () from /lib/i386-linux-gnu/libc.so.6
#2  0x025d684b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x025c61af in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x025c6524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0x01522577 in QEventDispatcherGlib::processEvents (this=0xafd016a0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#6  0x014f4289 in QEventLoop::processEvents (this=0xaca72280, flags=...) at kernel/qeventloop.cpp:149
#7  0x014f4522 in QEventLoop::exec (this=0xaca72280, flags=...) at kernel/qeventloop.cpp:201
#8  0x013fe2a0 in QThread::exec (this=0x9dd7e10) at thread/qthread.cpp:492
#9  0x014d5fdb in QInotifyFileSystemWatcherEngine::run (this=0x9dd7e10) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x01400da2 in QThreadPrivate::start (arg=0x9dd7e10) at thread/qthread_unix.cpp:320
#11 0x061d2e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#12 0x001e073e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 1 (Thread 0xb78b6ad0 (LWP 1793)):
[KCrash Handler]
#7  width (this=0xbfe8a588, pd=0x9310f90, clip=true) at /usr/include/qt4/QtGui/qpaintdevice.h:91
#8  initClipRect (this=0xbfe8a588, pd=0x9310f90, clip=true) at ../../../../marble/src/lib/ClipPainter.cpp:367
#9  Marble::ClipPainter::ClipPainter (this=0xbfe8a588, pd=0x9310f90, clip=true) at ../../../../marble/src/lib/ClipPainter.cpp:105
#10 0x06396fc4 in Marble::GeoPainter::GeoPainter (this=0xbfe8a588, pd=0x9310f90, viewport=0x9947414, mapQuality=Marble::NormalQuality, clip=true) at ../../../../marble/src/lib/GeoPainter.cpp:188
#11 0x044e85be in Marble::MarbleWallpaper::paint (this=0x9310ed0, painter=0xbfe8a6ec, exposedRect=...) at ../../../wallpapers/marble/marble.cpp:199
#12 0x007a8119 in ScreenPreviewWidget::paintEvent (this=0x99e52f8, event=0xbfe8ac84) at ../../../libs/kworkspace/screenpreviewwidget.cpp:174
#13 0x019ec18e in QWidget::event (this=0x99e52f8, event=0xbfe8ac84) at kernel/qwidget.cpp:8405
#14 0x01993d24 in QApplicationPrivate::notify_helper (this=0x91dab60, receiver=0x99e52f8, e=0xbfe8ac84) at kernel/qapplication.cpp:4462
#15 0x0199897b in QApplication::notify (this=0x91d09e0, receiver=0x99e52f8, e=0xbfe8ac84) at kernel/qapplication.cpp:4427
#16 0x011d73ca in KApplication::notify (this=0x91d09e0, receiver=0x99e52f8, event=0xbfe8ac84) at ../../kdeui/kernel/kapplication.cpp:311
#17 0x014f50bb in QCoreApplication::notifyInternal (this=0x91d09e0, receiver=0x99e52f8, event=0xbfe8ac84) at kernel/qcoreapplication.cpp:731
#18 0x019e8f0c in sendSpontaneousEvent (this=0x9ae2b10, pdev=0x9bc228c, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#19 QWidgetPrivate::drawWidget (this=0x9ae2b10, pdev=0x9bc228c, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5492
#20 0x019e9b7c in QWidgetPrivate::paintSiblingsRecursive (this=0x9deae58, pdev=0x9bc228c, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5699
#21 0x019e8c80 in QWidgetPrivate::drawWidget (this=0x9deae58, pdev=0x9bc228c, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5545
#22 0x019e9b7c in QWidgetPrivate::paintSiblingsRecursive (this=0x9e96eb0, pdev=0x9bc228c, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5699
#23 0x019e8c80 in QWidgetPrivate::drawWidget (this=0x9e96eb0, pdev=0x9bc228c, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5545
#24 0x019e9b7c in QWidgetPrivate::paintSiblingsRecursive (this=0x9c699f0, pdev=0x9bc228c, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5699
#25 0x019e9a42 in QWidgetPrivate::paintSiblingsRecursive (this=0x9c699f0, pdev=0x9bc228c, siblings=..., index=6, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5686
#26 0x019e8c80 in QWidgetPrivate::drawWidget (this=0x9c699f0, pdev=0x9bc228c, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5545
#27 0x019e9b7c in QWidgetPrivate::paintSiblingsRecursive (this=0xa068f88, pdev=0x9bc228c, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5699
#28 0x019e8c80 in QWidgetPrivate::drawWidget (this=0xa068f88, pdev=0x9bc228c, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5545
#29 0x019e9b7c in QWidgetPrivate::paintSiblingsRecursive (this=0x990e498, pdev=0x9bc228c, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5699
#30 0x019e8c80 in QWidgetPrivate::drawWidget (this=0x990e498, pdev=0x9bc228c, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5545
#31 0x019e9b7c in QWidgetPrivate::paintSiblingsRecursive (this=0x9c7c220, pdev=0x9bc228c, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5699
#32 0x019e9a42 in QWidgetPrivate::paintSiblingsRecursive (this=0x9c7c220, pdev=0x9bc228c, siblings=..., index=1, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5686
#33 0x019e9a42 in QWidgetPrivate::paintSiblingsRecursive (this=0x9c7c220, pdev=0x9bc228c, siblings=..., index=3, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5686
#34 0x019e8c80 in QWidgetPrivate::drawWidget (this=0x9c7c220, pdev=0x9bc228c, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5545
#35 0x019e9b7c in QWidgetPrivate::paintSiblingsRecursive (this=0x9aa4510, pdev=0x9bc228c, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5699
#36 0x019e9a42 in QWidgetPrivate::paintSiblingsRecursive (this=0x9aa4510, pdev=0x9bc228c, siblings=..., index=1, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5686
#37 0x019e9a42 in QWidgetPrivate::paintSiblingsRecursive (this=0x9aa4510, pdev=0x9bc228c, siblings=..., index=2, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5686
#38 0x019e9a42 in QWidgetPrivate::paintSiblingsRecursive (this=0x9aa4510, pdev=0x9bc228c, siblings=..., index=3, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5686
#39 0x019e9a42 in QWidgetPrivate::paintSiblingsRecursive (this=0x9aa4510, pdev=0x9bc228c, siblings=..., index=4, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5686
#40 0x019e9a42 in QWidgetPrivate::paintSiblingsRecursive (this=0x9aa4510, pdev=0x9bc228c, siblings=..., index=5, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5686
#41 0x019e9a42 in QWidgetPrivate::paintSiblingsRecursive (this=0x9aa4510, pdev=0x9bc228c, siblings=..., index=6, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5686
#42 0x019e9a42 in QWidgetPrivate::paintSiblingsRecursive (this=0x9aa4510, pdev=0x9bc228c, siblings=..., index=7, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5686
#43 0x019e9a42 in QWidgetPrivate::paintSiblingsRecursive (this=0x9aa4510, pdev=0x9bc228c, siblings=..., index=8, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5686
#44 0x019e9a42 in QWidgetPrivate::paintSiblingsRecursive (this=0x9aa4510, pdev=0x9bc228c, siblings=..., index=9, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5686
#45 0x019e8c80 in QWidgetPrivate::drawWidget (this=0x9aa4510, pdev=0x9bc228c, rgn=..., offset=..., flags=5, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5545
#46 0x01bc4908 in QWidgetBackingStore::sync (this=0x9b475f8) at painting/qbackingstore.cpp:1333
#47 0x019de843 in QWidgetPrivate::syncBackingStore (this=0x9aa4510) at kernel/qwidget.cpp:1842
#48 0x019ec7e5 in QWidget::event (this=0x96033f0, event=0x9cc2800) at kernel/qwidget.cpp:8552
#49 0x01993d24 in QApplicationPrivate::notify_helper (this=0x91dab60, receiver=0x96033f0, e=0x9cc2800) at kernel/qapplication.cpp:4462
#50 0x0199897b in QApplication::notify (this=0x91d09e0, receiver=0x96033f0, e=0x9cc2800) at kernel/qapplication.cpp:4427
#51 0x011d73ca in KApplication::notify (this=0x91d09e0, receiver=0x96033f0, event=0x9cc2800) at ../../kdeui/kernel/kapplication.cpp:311
#52 0x014f50bb in QCoreApplication::notifyInternal (this=0x91d09e0, receiver=0x96033f0, event=0x9cc2800) at kernel/qcoreapplication.cpp:731
#53 0x014f8c79 in sendEvent (receiver=0x0, event_type=0, data=0x917cf50) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#54 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x917cf50) at kernel/qcoreapplication.cpp:1372
#55 0x014f8e0d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1265
#56 0x015223c4 in sendPostedEvents (s=0x91dc398) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#57 postEventSourceDispatch (s=0x91dc398) at kernel/qeventdispatcher_glib.cpp:277
#58 0x025c5aa8 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#59 0x025c6270 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#60 0x025c6524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#61 0x0152253c in QEventDispatcherGlib::processEvents (this=0x917caa8, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#62 0x01a47775 in QGuiEventDispatcherGlib::processEvents (this=0x917caa8, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#63 0x014f4289 in QEventLoop::processEvents (this=0xbfe8da50, flags=...) at kernel/qeventloop.cpp:149
#64 0x014f4522 in QEventLoop::exec (this=0xbfe8da50, flags=...) at kernel/qeventloop.cpp:201
#65 0x01eb1003 in QDialog::exec (this=0xa82738c8) at dialogs/qdialog.cpp:552
#66 0x06426182 in Marble::MergedLayerDecorator::initCityLights (this=0x92ac118) at ../../../../marble/src/lib/MergedLayerDecorator.cpp:80
#67 0x06426308 in Marble::MergedLayerDecorator::paint (this=0x92ac118, themeId=...) at ../../../../marble/src/lib/MergedLayerDecorator.cpp:104
#68 0x063f8034 in Marble::StackedTileLoader::mergeDecorations (this=0x9348ff8, tile=0xa8270ad8) at ../../../../marble/src/lib/StackedTileLoader.cpp:457
#69 0x063fade7 in Marble::StackedTileLoader::loadTile (this=0x9348ff8, stackedTileId=..., usage=Marble::DownloadBrowse) at ../../../../marble/src/lib/StackedTileLoader.cpp:237
#70 0x063e52e6 in Marble::AbstractScanlineTextureMapper::nextTile (this=0x9604068, posX=@0xbfe8dd3c, posY=@0xbfe8dd38) at ../../../../marble/src/lib/AbstractScanlineTextureMapper.cpp:495
#71 0x063e5404 in Marble::AbstractScanlineTextureMapper::pixelValue (this=0x9604068, lon=-1.130674759090321, lat=1.0187643796836208, scanLine=0xa305690) at ../../../../marble/src/lib/AbstractScanlineTextureMapper.cpp:159
#72 0x063e7020 in Marble::SphericalScanlineTextureMapper::mapTexture (this=0x9604068, viewParams=0xa085ac4, texColorizer=0x0) at ../../../../marble/src/lib/SphericalScanlineTextureMapper.cpp:235
#73 0x063e7263 in Marble::SphericalScanlineTextureMapper::mapTexture (this=0x9604068, painter=0xbfe8e228, viewParams=0xa085ac4, dirtyRect=..., texColorizer=0x0) at ../../../../marble/src/lib/SphericalScanlineTextureMapper.cpp:51
#74 0x063dc8b6 in Marble::TextureLayer::paintGlobe (this=0xa085ae4, painter=0xbfe8e228, viewParams=0xa085ac4, dirtyRect=...) at ../../../../marble/src/lib/TextureLayer.cpp:161
#75 0x063535d2 in Marble::MarbleMapPrivate::paintGround (this=0xa085ab8, painter=..., dirtyRect=...) at ../../../../marble/src/lib/MarbleMap.cpp:188
#76 0x06354395 in Marble::MarbleMap::paint (this=0x9753458, painter=..., dirtyRect=...) at ../../../../marble/src/lib/MarbleMap.cpp:828
#77 0x044e8616 in Marble::MarbleWallpaper::paint (this=0x9310ed0, painter=0xbfe8e38c, exposedRect=...) at ../../../wallpapers/marble/marble.cpp:201
#78 0x007a8119 in ScreenPreviewWidget::paintEvent (this=0x99e52f8, event=0xbfe8e924) at ../../../libs/kworkspace/screenpreviewwidget.cpp:174
#79 0x019ec18e in QWidget::event (this=0x99e52f8, event=0xbfe8e924) at kernel/qwidget.cpp:8405
#80 0x01993d24 in QApplicationPrivate::notify_helper (this=0x91dab60, receiver=0x99e52f8, e=0xbfe8e924) at kernel/qapplication.cpp:4462
#81 0x0199897b in QApplication::notify (this=0x91d09e0, receiver=0x99e52f8, e=0xbfe8e924) at kernel/qapplication.cpp:4427
#82 0x011d73ca in KApplication::notify (this=0x91d09e0, receiver=0x99e52f8, event=0xbfe8e924) at ../../kdeui/kernel/kapplication.cpp:311
#83 0x014f50bb in QCoreApplication::notifyInternal (this=0x91d09e0, receiver=0x99e52f8, event=0xbfe8e924) at kernel/qcoreapplication.cpp:731
#84 0x019e8f0c in sendSpontaneousEvent (this=0x9ae2b10, pdev=0x9bc228c, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#85 QWidgetPrivate::drawWidget (this=0x9ae2b10, pdev=0x9bc228c, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5492
#86 0x019e9b7c in QWidgetPrivate::paintSiblingsRecursive (this=0x9deae58, pdev=0x9bc228c, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5699
#87 0x019e8c80 in QWidgetPrivate::drawWidget (this=0x9deae58, pdev=0x9bc228c, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5545
#88 0x019e9b7c in QWidgetPrivate::paintSiblingsRecursive (this=0x9e96eb0, pdev=0x9bc228c, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5699
#89 0x019e8c80 in QWidgetPrivate::drawWidget (this=0x9e96eb0, pdev=0x9bc228c, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5545
#90 0x019e9b7c in QWidgetPrivate::paintSiblingsRecursive (this=0x9c699f0, pdev=0x9bc228c, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5699
#91 0x019e9a42 in QWidgetPrivate::paintSiblingsRecursive (this=0x9c699f0, pdev=0x9bc228c, siblings=..., index=6, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5686
#92 0x019e8c80 in QWidgetPrivate::drawWidget (this=0x9c699f0, pdev=0x9bc228c, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5545
#93 0x019e9b7c in QWidgetPrivate::paintSiblingsRecursive (this=0xa068f88, pdev=0x9bc228c, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5699
#94 0x019e8c80 in QWidgetPrivate::drawWidget (this=0xa068f88, pdev=0x9bc228c, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5545
#95 0x019e9b7c in QWidgetPrivate::paintSiblingsRecursive (this=0x990e498, pdev=0x9bc228c, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5699
#96 0x019e8c80 in QWidgetPrivate::drawWidget (this=0x990e498, pdev=0x9bc228c, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5545
#97 0x019e9b7c in QWidgetPrivate::paintSiblingsRecursive (this=0x9c7c220, pdev=0x9bc228c, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5699
#98 0x019e8c80 in QWidgetPrivate::drawWidget (this=0x9c7c220, pdev=0x9bc228c, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5545
#99 0x019e9b7c in QWidgetPrivate::paintSiblingsRecursive (this=0x9aa4510, pdev=0x9bc228c, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5699
#100 0x019e9a42 in QWidgetPrivate::paintSiblingsRecursive (this=0x9aa4510, pdev=0x9bc228c, siblings=..., index=9, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5686
#101 0x019e8c80 in QWidgetPrivate::drawWidget (this=0x9aa4510, pdev=0x9bc228c, rgn=..., offset=..., flags=5, sharedPainter=0x0, backingStore=0x9b475f8) at kernel/qwidget.cpp:5545
#102 0x01bc4908 in QWidgetBackingStore::sync (this=0x9b475f8) at painting/qbackingstore.cpp:1333
#103 0x019de843 in QWidgetPrivate::syncBackingStore (this=0x9aa4510) at kernel/qwidget.cpp:1842
#104 0x019ec7e5 in QWidget::event (this=0x96033f0, event=0xa0821d0) at kernel/qwidget.cpp:8552
#105 0x01993d24 in QApplicationPrivate::notify_helper (this=0x91dab60, receiver=0x96033f0, e=0xa0821d0) at kernel/qapplication.cpp:4462
#106 0x0199897b in QApplication::notify (this=0x91d09e0, receiver=0x96033f0, e=0xa0821d0) at kernel/qapplication.cpp:4427
#107 0x011d73ca in KApplication::notify (this=0x91d09e0, receiver=0x96033f0, event=0xa0821d0) at ../../kdeui/kernel/kapplication.cpp:311
#108 0x014f50bb in QCoreApplication::notifyInternal (this=0x91d09e0, receiver=0x96033f0, event=0xa0821d0) at kernel/qcoreapplication.cpp:731
#109 0x014f8c79 in sendEvent (receiver=0x0, event_type=0, data=0x917cf50) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#110 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x917cf50) at kernel/qcoreapplication.cpp:1372
#111 0x014f8e0d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1265
#112 0x015223c4 in sendPostedEvents (s=0x91dc398) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#113 postEventSourceDispatch (s=0x91dc398) at kernel/qeventdispatcher_glib.cpp:277
#114 0x025c5aa8 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#115 0x025c6270 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#116 0x025c6524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#117 0x0152253c in QEventDispatcherGlib::processEvents (this=0x917caa8, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#118 0x01a47775 in QGuiEventDispatcherGlib::processEvents (this=0x917caa8, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#119 0x014f4289 in QEventLoop::processEvents (this=0xbfe90a64, flags=...) at kernel/qeventloop.cpp:149
#120 0x014f4522 in QEventLoop::exec (this=0xbfe90a64, flags=...) at kernel/qeventloop.cpp:201
#121 0x014f8ecc in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#122 0x019918e7 in QApplication::exec () at kernel/qapplication.cpp:3736
#123 0x00ccb5a5 in kdemain (argc=1, argv=0xbfe90c74) at ../../../../plasma/desktop/shell/main.cpp:118
#124 0x080485cb in main (argc=1, argv=0xbfe90c74) at plasma-desktop_dummy.cpp:3

This bug may be a duplicate of or related to bug 261492.

Possible duplicates by query: bug 272378, bug 266472, bug 261492.

Reported using DrKonqi
Comment 1 David Hubner 2011-07-31 20:40:24 UTC
I also had this issue. Uninstalling the marble kdeplasma wallpaper fixed it.
Comment 2 Christoph Feck 2011-08-13 01:48:31 UTC

*** This bug has been marked as a duplicate of bug 259258 ***